org.eclipse.net4j.util.concurrent

## Interface ICorrelator<CORRELATION,VALUE>

- All Known Implementing Classes:
    SynchronizingCorrelator

      public interface ICorrelator<CORRELATION,VALUE>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `VALUE` | `correlate(CORRELATION correlation)`
    `VALUE` | `correlateUnique(CORRELATION correlation)`
    `boolean` | `isCorrelated(CORRELATION correlation)`
    `VALUE` | `uncorrelate(CORRELATION correlation)`

- - ### Method Detail

    - #### isCorrelated

          boolean isCorrelated(CORRELATION correlation)

    - #### correlate

          VALUE correlate(CORRELATION correlation)

    - #### correlateUnique

          VALUE correlateUnique(CORRELATION correlation)

    - #### uncorrelate

          VALUE uncorrelate(CORRELATION correlation)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html